@font-face {
    font-family: 'gt_pressura_bold';
    src: url('./fonts/gt-pressura-bold-webfont.woff2') format('woff2'),
    url('./fonts/gt-pressura-bold-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'gt_pressura_regular';
    src: url('./fonts/gt-pressura-regular-webfont.woff2') format('woff2'),
    url('./fonts/gt-pressura-regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

html, body {
	margin: 0;
	padding: 0;
    font-family: "Source Sans 3", sans-serif;
    background: transparent;
    font-weight: 400;
}

.result-container {
    display: flex;
    gap: 16px;
    align-items: center;
    margin-top: 5px;
    margin-bottom: 0;
    font-optical-sizing: auto;
    font-weight: 700;
    font-size: 1rem;
    line-height: 1.75rem;
    color: #262626;
    text-rendering: optimizeLegibility;
    gap: 16px;
}
h2, .result-container span, .result-container span {
    font-family: gt_pressura_bold, Arial;
    font-style: normal;
    font-weight: 700;
    color: #00a;
    font-size: 1.5rem;
    margin-bottom: 0;
    display: inline-block;
}
p {
    font-optical-sizing: auto;
    font-size: 1rem;
    line-height: 1rem;
    color: #262626;
    text-rendering: optimizeLegibility;
    margin-bottom: 0px;
}
label {
    font-optical-sizing: auto;
    font-weight: 700;
    font-size: 1rem;
    line-height: 1.75rem;
    color: #262626;
    text-rendering: optimizeLegibility;
    margin-right: 12px;
    margin-top: 0;
    margin-bottom: 0;
}
input#value {
    line-height: 40px;
    padding: 0 5px;
    border-radius: 0;
    border: none;
    margin-right: 24px;
}
/* Hide the default checkbox */
input[type="checkbox"] {
    display: none;
}

/* Style the custom checkbox */
input[type="checkbox"] + label {
    position: relative;
    padding-right: 64px; /* Adjust as needed */
    cursor: pointer;
}

/* Create the checkbox design */
input[type="checkbox"] + label:before {
    content: '';
    position: absolute;
    right: 0;
    top: -10px;
    width: 40px; /* Size of the checkbox */
    height: 40px; /* Size of the checkbox */
    border: 0; /* Border color */
    background-color: #fff; /* Background color */
}

/* Style the checked state */
input[type="checkbox"]:checked + label:before {
    background-color: #ffffff; /* Change background color when checked */
}

/* Create the checkmark */
input[type="checkbox"]:checked + label:after {
    content: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 16 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 7.30798L6.17465 12L15 4' stroke='%230000AA' stroke-width='2'/%3E%3C/svg%3E%0A");
    position: absolute;
    top: 50%;
    right: 16px;
    transform: translateY(-50%);
    color: #fff; /* Color of the checkmark */
    font-size: 14px; /* Size of the checkmark */
    line-height: 1; /* Ensures proper alignment */
}

button {
    cursor: pointer;
    border: 0;
    background-color: #ffe200;
    color: #00a;
    padding: 0 24px;
    font-family: gt_pressura_bold, Arial;
    font-style: normal;
    font-weight: 700;
    font-size: 1rem;
    line-height: 48px;
    letter-spacing: .02em;
    text-transform: uppercase;
    margin-left: 40px;
    box-shadow: -5px 5px 0px #00a;
}

.center-items {
    display: flex;
	flex-direction: column;
	gap: 10px;
    align-items: start;
}
.calc-container {
  padding: 16px;
  background: #f0f0f0;
  border-radius: 8px;
}
.calc-container p:last-child {
  margin-bottom: 0;
}
.calc-container iframe { display: block; width: 100%; border: 0; }


@media (max-width: 700px) {
    button {margin-left: 0; margin-top: 16px;}
    .center-items {
		display: flex;
        align-items: start;
        gap: 16px;
        flex-direction: column;
    }
    .calc-container{ padding:12px 12px 6px; }
	#taxCalcFrame{ display:block; border:0; }
}

/* Stiil rippmenüü jaoks */
select#pensionPercentage {
    width: 100px;
    padding: 8px;
    margin-top: 5px;
    border: 0px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 1rem;
    line-height: 1.5;
    background-color: #fff;
    color: #262626;
    font-family: 'Source Sans 3', sans-serif;
    appearance: none; /* Peida vaikimisi nooleikoon */
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' width='24' height='24' fill='%23333333'%3E%3Cpath d='M7 10l5 5 5-5H7z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 16px;
}

/* Keskendu efektile (sama mis input-elementidel) */
select#pensionPercentage:focus {
    border-color: #007bff;
    outline: none;
    box-shadow: 0 0 0 2px rgba(0, 123, 255, 0.25);
}